@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@500;700&family=Roboto+Slab:wght@100;400&family=Roboto:wght@300;500&display=swap');

body {
    font-family: 'Roboto', sans-serif;
    background-color: #FFDD95;
    overflow-x: hidden;
}

/*Style untuk navigasi bar*/
.nav-item .nav-link {
    font-size: 18px;
    margin-left: 5px;
    margin-right: 5px;
}

.navbar-scrolled {
    background-color:#3468C0 !important;
}

.dropdown-submenu {
    position: relative;
}

.dropdown-submenu .dropdown-menu {
    display: none;
    position: absolute;
    top: 0;
    left: 100%;
    margin-top: 0;
    margin-left: 0.1rem;
    min-width: 200px;
}
/**/

#beranda:hover,
#pencarian:hover,
#content:hover {
    transition: transform 0.3s ease;
    background-color: rgba(0, 0, 0, 0.5);
}

/*Style untuk Jumbotron*/
#jumbotron {
    background-image: url('/assets/profile-desa.jpg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 500px;
}

.jumbotron-title {
    padding-top: 200px;
}

.title-jumbotron {
    background-color: rgba(0, 0, 0, 0.5);
    margin-right: 320px;
    margin-left: 320px;
}

/**/

/*Style untuk navigasi card*/
#cardPeta:hover,
#cardFasilitas:hover,
#cardPotensi:hover {
    transform: translateY(-10px);
    transition: transform 0.3s ease;
}
/**/

/*Style untuk informasi peta, fasilitas dan potensi*/
#peta,
#fasilitas,
#potensi {
    margin: 10% 10% 10% 10%;
}

/**/

/*Style untuk button carousel*/
.carousel-control-prev,
.carousel-control-next {
    position: absolute;
    top: 45%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0);
    padding: 10px;
    border-radius: 5px;
    transition: background-color 0.3s;
    height: 150px;
    width: 50px;
}

.carousel-control-prev:hover,
.carousel-control-next:hover {
    background-color: rgba(0, 0, 0, 0.5);
}

.carousel-control-prev {
    left: 15px;
}

.carousel-control-next {
    right: 15px;
}

/**/

/*Style untuk menampilkan gambar peta pada setiap dukuh*/
#imageContainer img {
    max-width: 600px; 
    max-height: 400px; 
    width: auto; 
    height: auto; 
}

#imageContainer {
    text-align: center;
    margin: 20px;
}
/**/


/*Style untuk menampilkan filter*/
.fasilitasDukuh:hover,
.demografiPenduduk:hover {
    background-color: rgb(0, 0, 0, 0.1);
}
/**/

/*Style untuk navigasi card sarana dan prasarana*/
#cardPemerintahan:hover,
#cardKesehatan:hover,
#cardPendidikan:hover,
#cardPeribadatan:hover,
#cardRuangTerbuka:hover,
#cardJaringanJalan:hover {
    transform: translateY(-10px);
    transition: transform 0.3s ease;
}
/**/

/*Style untuk mengubah cursor menjadi pointer ketika menyentuh gambar yang ingin di zoom*/
.img-zoom:hover{
    cursor: pointer;
}
/**/